<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.streamtls.StreamTLSMixIn</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.streamtls-module.html">Module&nbsp;streamtls</a> ::
        Class&nbsp;StreamTLSMixIn
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class StreamTLSMixIn</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn">source&nbsp;code</a></span></p>
<dl><dt>Known Subclasses:</dt>
<dd>
      <ul class="subclass-list">
<li><a href="pyxmpp.stream.Stream-class.html">stream.Stream</a></li>  </ul>
</dd></dl>

<hr />
Mix-in class providing TLS support for an XMPP stream.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">tls_settings</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize TLS support of a Stream object</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_handle_tls_features" class="summary-sig-name" onclick="show_private();">_handle_tls_features</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Process incoming StartTLS related element of &lt;stream:features/&gt;.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._handle_tls_features">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">libxml2.xmlNode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_make_stream_tls_features" class="summary-sig-name" onclick="show_private();">_make_stream_tls_features</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">features</span>)</span><br />
      Update the &lt;features/&gt; with StartTLS feature.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._make_stream_tls_features">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_make_tls_connection" class="summary-sig-name" onclick="show_private();">_make_tls_connection</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Initiate TLS connection.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._make_tls_connection">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_process"></a><span class="summary-sig-name">_process</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Same as <code class="link">Stream.process</code> but assume <code class="link">self.lock</code> is acquired.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._process">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">bool</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_process_node_tls" class="summary-sig-name" onclick="show_private();">_process_node_tls</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>)</span><br />
      Process incoming stream element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._process_node_tls">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_process_tls_node" class="summary-sig-name" onclick="show_private();">_process_tls_node</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>)</span><br />
      Process stream element in the TLS namespace.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._process_tls_node">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_read"></a><span class="summary-sig-name">_read</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Read data pending on the stream socket and pass it to the parser.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._read">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_read_tls"></a><span class="summary-sig-name">_read_tls</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Read data pending on the stream socket and pass it to the parser.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._read_tls">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#_request_tls" class="summary-sig-name" onclick="show_private();">_request_tls</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Request a TLS-encrypted connection.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._request_tls">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_reset_tls"></a><span class="summary-sig-name">_reset_tls</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Reset <a href="pyxmpp.streamtls.StreamTLSMixIn-class.html" class="link">StreamTLSMixIn</a> object state making it ready to handle new
connections.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._reset_tls">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_write_raw"></a><span class="summary-sig-name">_write_raw</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">data</span>)</span><br />
      Same as <code class="link">Stream.write_raw</code> but assume <code class="link">self.lock</code> is acquired.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._write_raw">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#get_tls_connection" class="summary-sig-name">get_tls_connection</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the TLS connection object for the stream.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn.get_tls_connection">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#tls_is_certificate_valid" class="summary-sig-name">tls_is_certificate_valid</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">cert</span>)</span><br />
      Default certificate verification callback for TLS connections.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn.tls_is_certificate_valid">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="tls"></a><span class="summary-name">tls</span><br />
      : TLS connection object.
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">tls_settings</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize TLS support of a Stream object
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>tls_settings</code></strong> (: <a href="pyxmpp.streamtls.TLSSettings-class.html" class="link">TLSSettings</a>) - : settings for StartTLS.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="_handle_tls_features"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_handle_tls_features</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._handle_tls_features">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Process incoming StartTLS related element of &lt;stream:features/&gt;.</p>
<p>[initiating entity only]</p>
<p>The received features node is available in <code class="link">self.features</code>.</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="_make_stream_tls_features"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_make_stream_tls_features</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">features</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._make_stream_tls_features">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Update the &lt;features/&gt; with StartTLS feature.</p>
<p>[receving entity only]</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>features</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : the &lt;features/&gt; element of the stream.</li>
    </ul></dd>
    <dt>Returns: <code class="link">libxml2.xmlNode</code></dt>
        <dd>updated &lt;features/&gt; element node.</dd>
  </dl>
</td></tr></table>
</div>
<a name="_make_tls_connection"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_make_tls_connection</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._make_tls_connection">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Initiate TLS connection.</p>
<p>[initiating entity only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="_process_node_tls"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_node_tls</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._process_node_tls">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process incoming stream element. Pass it to _process_tls_node
if it is in TLS namespace.
  <dl class="fields">
    <dt>Returns: <code class="link">bool</code></dt>
        <dd><code class="link">True</code> when the node was recognized as TLS element.</dd>
    <dt>Raises:</dt>
    <dd><ul class="nomargin-top">
        <li><code><strong class='fraise'><a href="pyxmpp.exceptions.StreamEncryptionRequired-class.html">StreamEncryptionRequired</a></strong></code> - if encryption is required by current
configuration, it is not active and the element is not in the TLS
namespace nor in the stream namespace.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="_process_tls_node"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_process_tls_node</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._process_tls_node">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process stream element in the TLS namespace.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> - : the XML node received</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="_request_tls"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">_request_tls</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn._request_tls">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Request a TLS-encrypted connection.</p>
<p>[initiating entity only]</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_tls_connection"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_tls_connection</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn.get_tls_connection">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the TLS connection object for the stream.
  <dl class="fields">
    <dt>Returns:</dt>
        <dd><a href="pyxmpp.streamtls.StreamTLSMixIn-class.html#tls" class="link">self.tls</a></dd>
  </dl>
</td></tr></table>
</div>
<a name="tls_is_certificate_valid"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">tls_is_certificate_valid</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">cert</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.streamtls-pysrc.html#StreamTLSMixIn.tls_is_certificate_valid">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Default certificate verification callback for TLS connections.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>cert</code></strong> - : certificate information, as returned by <code class="link">ssl.SSLSocket.getpeercert</code></li>
    </ul></dd>
    <dt>Returns:</dt>
        <dd>computed verification result.</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:05 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
